Bug 1873037 - "Waiting for the build" alert should only show if a Build Config exists
Summary: "Waiting for the build" alert should only show if a Build Config exists
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.6.0
Assignee: Christoph Jerolimov
QA Contact: spathak@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-27 08:27 UTC by Christoph Jerolimov
Modified: 2020-09-07 11:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
"Waiting for the build" alert shows if a Build Config exists -1 (71.05 KB, image/png)
2020-09-07 11:24 UTC, spathak@redhat.com
no flags Details
"Waiting for the build" alert shows if a Build Config exists -2 (105.62 KB, image/png)
2020-09-07 11:24 UTC, spathak@redhat.com
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6458 None closed Bug 1873037: Show inline alert message "Waiting for build" only if there is a BuildConfig 2020-09-03 08:24:32 UTC

Description Christoph Jerolimov 2020-08-27 08:27:06 UTC
Description of problem:
When importing a Deployment from a Container the invalid message "Waiting for the build" was displayed.

Version-Release number of selected component (if applicable):
4.6 ci

How reproducible:
Always

Steps to Reproduce:
1. Deploy an image, select the Deployment
2. Look at the Resources tab in the side panel

Actual results:
There is no build config associated with the Deployment, so we shouldn't see the "Waiting for the build" inline alert.

Expected results:
The inline alert message should not be displayed.

Additional info:
None

Comment 1 Christoph Jerolimov 2020-08-27 08:27:24 UTC
Jira Issue: https://issues.redhat.com/browse/ODC-4468

Comment 4 spathak@redhat.com 2020-09-07 11:24:22 UTC
Created attachment 1713953 [details]
"Waiting for the build" alert shows if a Build Config exists -1

Comment 5 spathak@redhat.com 2020-09-07 11:24:55 UTC
Created attachment 1713954 [details]
"Waiting for the build" alert shows if a Build Config exists -2

Comment 6 spathak@redhat.com 2020-09-07 11:25:30 UTC
Verified on build number: 4.6.0-0.ci-2020-09-05-015624
Browser version: Chrome 84


Note You need to log in before you can comment on or make changes to this bug.